Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.ibm.workplace.wcm.api
Enum Workflow.DraftCreationBehavior

    java.lang.Object
      java.lang.Enum<Workflow.DraftCreationBehavior>
          com.ibm.workplace.wcm.api.Workflow.DraftCreationBehavior

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Workflow.DraftCreationBehavior>

Enclosing interface:
  Workflow

    public static enum Workflow.DraftCreationBehavior

extends java.lang.Enum<Workflow.DraftCreationBehavior>

The `Workflow.DraftCreationBehavior` controls how items using the `Workflow` can create new drafts

Enum Constant Summary
`EXCLUSIVE_DRAFTS_ONLY` This behavior allows items using the `Workflow` to have only one draft.
`MULTIPLE_DRAFTS` This behavior allows items using the `Workflow` to have more then one drafts

Method Summary
`static Workflow.DraftCreationBehavior` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Workflow.DraftCreationBehavior[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXCLUSIVE_DRAFTS_ONLY

    public static final Workflow.DraftCreationBehavior EXCLUSIVE_DRAFTS_ONLY

  This behavior allows items using the `Workflow` to have only one draft.

### MULTIPLE_DRAFTS

    public static final Workflow.DraftCreationBehavior MULTIPLE_DRAFTS

  This behavior allows items using the `Workflow` to have more then one drafts

Method Detail

### values

    public static Workflow.DraftCreationBehavior[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Workflow.DraftCreationBehavior c : Workflow.DraftCreationBehavior.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Workflow.DraftCreationBehavior valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD